Package org.eclipse.emf.cdo.lm.security.provider

# Class LMSecurityItemProviderAdapterFactory.SecurityChildCreationExtender.CreationSwitch

java.lang.Object
org.eclipse.emf.cdo.security.util.SecuritySwitch<Object>
org.eclipse.emf.cdo.lm.security.provider.LMSecurityItemProviderAdapterFactory.SecurityChildCreationExtender.CreationSwitch

Enclosing class:
  `LMSecurityItemProviderAdapterFactory.SecurityChildCreationExtender`

protected static class LMSecurityItemProviderAdapterFactory.SecurityChildCreationExtender.CreationSwitch extends SecuritySwitch<Object>
The switch for creating child descriptors specific to each extended class.

Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EditingDomain`
`editingDomain`
The domain in which to create the children.
`protected List<Object>`
`newChildDescriptors`
The child descriptors being populated.

### Fields inherited from class org.eclipse.emf.cdo.security.util.SecuritySwitch

`modelPackage`

## Method Summary

Modifier and Type
Method
Description
`Object`
`caseCombinedFilter(CombinedFilter object)`
`Object`
`caseFilterPermission(FilterPermission object)`
`protected CommandParameter`
`createChildParameter(Object feature, Object child)`

### Methods inherited from class org.eclipse.emf.cdo.security.util.SecuritySwitch

`caseAndFilter, caseAssignee, caseClassFilter, caseClassPermission, caseDirectory, caseExpressionFilter, caseGroup, caseLinkedFilter, caseModelElement, caseNotFilter, caseObjectFilter, caseObjectPermission, caseOrFilter, casePackageFilter, casePackagePermission, casePermission, casePermissionFilter, caseRealm, caseResourceFilter, caseResourcePermission, caseRole, caseSecurityElement, caseSecurityItem, caseUser, caseUserPassword, defaultCase, doSwitch, doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### newChildDescriptors

protected List<Object> newChildDescriptors
The child descriptors being populated.

Generated

### editingDomain

protected EditingDomain editingDomain
The domain in which to create the children.

Generated

## Method Details

### caseFilterPermission

public Object caseFilterPermission(FilterPermission object)

Overrides:
  `caseFilterPermission` in class `SecuritySwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Filter Permission'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseCombinedFilter

public Object caseCombinedFilter(CombinedFilter object)

Overrides:
  `caseCombinedFilter` in class `SecuritySwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Combined Filter'.
See Also:
  - `doSwitch(EObject)`
Generated

### createChildParameter

protected CommandParameter createChildParameter(Object feature, Object child)

Generated